\documentclass[10pt]{amsart}

\usepackage{algorithm}
\usepackage{algpseudocode}

\begin{document}
\begin{algorithm}
\caption{Cocktail shaker sort}
\label{alg:cocktail}
                \begin{algorithmic}
                \Function{CSS}{$A$}
                \State $swapped \gets                                \texttt{true}$
\While{$swapped$}
\State $swapped \gets \texttt{false}$
\ForAll{$i \in                                 \{ 0, 1, \dotsc, |A| - 2\}$}
\If{$A_i > A_{i+1}$}
\State \Call{swap}{A, i, i+1} \State                       $swapped \gets \texttt{true}$ \EndIf \EndFor
\If{$\lnot swapped$}
                             \State \Call{break}{}
\EndIf
\State $swapped \gets \texttt{false}$
\ForAll{$i \in \{ |A| - 2, \dotsc, 1, 0 \}$}
\If{$A_i > A_{i+1}$}
\State \Call{swap}{A, i, i+1}
\State $swapped \gets \texttt{true}$
\EndIf \EndFor \EndWhile \EndFunction \end{algorithmic}
\end{algorithm}
\end{document}
